# Package org.codehaus.plexus.component.manager

Interface Summary
ComponentManager<T>: Manages a component manager.
ComponentManagerFactory

Class Summary
AbstractComponentManager<T>
PerLookupComponentManager<T>: Creates a new component manager for every lookup
PerLookupComponentManagerFactory
SingletonComponentManager<T>: This ensures a component is only used as a singleton, and is only shutdown when the container shuts down.
SingletonComponentManagerFactory

Exception Summary
UndefinedComponentManagerException